contrib-graph.symbolic
jobs-branches.fig
jobs-branches.fig.*.[0-9]
+blessings.fig
+hostflags.txt
-SLIDES=title listscreenshot bisection jobs-branches readme-excerpt
+SLIDES=title listscreenshot bisection jobs-branches readme-excerpt blessings
SLIDEFILES=$(addsuffix .ps, $(SLIDES))
o= >$@.new && mv -f $@.new $@
slides.pdf: slides.ps Makefile
ps2pdf $< $@
-datascript-run:
- ./datascript
+datascript-run gitminescript-run: %-run: %
+ ./$@
jobsbreak=40
+blessings.fig: blessings.fig.in hostflags.txt fig-filler-in Makefile
+ ./fig-filler-in <$< L hostflags.txt $o
+
jobs-branches.fig: fig-filler-in Makefile
jobs-branches.fig: jobs-branches.fig.in list-branches.data list-jobs.data
sed -n '1,$(jobsbreak)p' list-jobs.data >$@.j.0
--- /dev/null
+#FIG 3.2 Produced by xfig version 3.2.5b
+Landscape
+Center
+Metric
+A4
+100.00
+Single
+-2
+1200 2
+0 32 #484848
+2 2 0 1 7 7 50 -1 -1 0.000 0 0 7 0 0 5
+ 12600 9540 12330 9540 12330 9810 12600 9810 12600 9540
+4 0 1 50 -1 14 12 0.0000 4 150 1920 360 1890 %L/^blessed-real\001
+4 0 0 50 -1 12 12 0.0000 4 120 360 360 1125 %L1\001
+4 0 0 50 -1 14 12 0.0000 4 165 1920 360 1620 %L/^arch-(?!xen)\001
+4 0 32 50 -1 14 12 0.0000 4 120 360 360 900 %L0\001
set -o pipefail
rm -f *.data
+./hostflags-mine
+
./genmine >psql-cmds
psql -d osstestdb -h osstestdb.db.cam.xci-test.com -f psql-cmds
use strict;
our %tmpl;
-# $tmpl{BRANCH}[]{Prefix}
-# $tmpl{BRANCH}[]{Suffix}
-# $tmpl{BRANCH}[]{X}
-# $tmpl{BRANCH}[]{Y}
+# $tmpl{BRANCH}[0|1]{Prefix}
+# $tmpl{BRANCH}[0|1]{Suffix}
+# $tmpl{BRANCH}[0|1]{C}[0|1] = coordinate
+# $tmpl{BRANCH}[2][]{Regexp}
+# $tmpl{BRANCH}[2][]{Prefix}
+# $tmpl{BRANCH}[2][]{Suffix}
while (<STDIN>) {
- if (my ($x,$y,$key,$n) = m/ (\d+) (\d+) \%([A-Z0-9]+)([01])/) {
- $tmpl{$key}[$n] = {
+ if (my ($x,$y,$key,$n) =
+ m/ (\d+) (\d+) \%([A-Z0-9]+)([01]|\/(?:(?!\\001).)*)/) {
+ my $tmpl = {
Prefix => $`,
Suffix => $', #',
- C => [ $x, $y ],
};
+ if ($n =~ s/^\///) {
+ $tmpl->{Regexp} = $n;
+ push @{ $tmpl{$key}[2] }, $tmpl;
+ } else {
+ $tmpl->{C} = [ $x, $y ];
+ $tmpl{$key}[$n] = $tmpl;
+ }
} else {
print or die $!;
}
open F, "<$file" or die "$file $!";
while (<F>) {
chomp;
+ my $rtmpl = $tmpl;
+ foreach my $entry (@{ $tmpl{$key}[2] }) {
+ next unless m/$entry->{Regexp}/;
+use Data::Dumper;
+print STDERR "matched $_:",Dumper($entry);
+ $rtmpl = $entry;
+ last;
+ }
s/\\/\\\\/g;
- print $tmpl->{Prefix} or die $!;
+ print $rtmpl->{Prefix} or die $!;
printf " %d %d ", @c or die $!;
print $_ or die $!;
- print $tmpl->{Suffix} or die $!;
+ print $rtmpl->{Suffix} or die $!;
foreach my $c (qw(0 1)) { $c[$c] += $d[$c]; }
}
close F;
--- /dev/null
+#!/bin/sh
+set -e
+exec >hostflags.txt
+cd ${OSSTEST_GIT:=$HOME/work/testing.git/.git}/..
+./mg-hosts showflags
test boxes, and/or use it to run specific tests. This is very useful
for developing osstest itself.
-[hosting]
+[6 blessings chart]
Currently osstest is running in a test network at Citrix's Cambridge
-office in the UK. There is a dedicated pool of just 11 test machines.
+office in the UK. There is a dedicated pool of just 13 x86 test
+machines. For ARM osstest has two nodes of a Calxeda server (sadly no
+longer supported) and a small devboard-based build farm.
Test reports and logs are posted publicly; the osstest system's source
code and deployment documentation is of course published (and